Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Interface PropertySetManager

public interface PropertySetManager
extends javax.ejb.EJBObject

PropertySetManager is a stateless session bean that provides access to property sets, through PropertySetRepositories. It also provides translation between XML and property set objects for use in the data synchronization framework.

See Also:
  `PropertySet`

Method Summary
`PropertySet` | `getPropertySet(java.lang.String type, java.lang.String name)` Get the PropertySet identified by the given type and name
`java.util.Map` | `getPropertySets(java.lang.String type)` Get all PropertySets of a given type
`java.lang.String` | `getPropertySetXml(java.lang.String type, java.lang.String name)` Retrieve the XML representation of a property set

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPropertySet

    public PropertySet getPropertySet(java.lang.String type,
                                      java.lang.String name)
                               throws java.rmi.RemoteException

  Get the PropertySet identified by the given type and name

  Parameters:
    `type` - the PropertySetType
    `name` - the name of the PropertySet
  Returns:
    the PropertySet, or null if it is not found

### getPropertySets

    public java.util.Map getPropertySets(java.lang.String type)
                                  throws java.rmi.RemoteException

  Get all PropertySets of a given type

  Parameters:
    `type` - the PropertySetType to retrieve
  Returns:
    a map of name, PropertySet object pairs, or null if none are defined

### getPropertySetXml

    public java.lang.String getPropertySetXml(java.lang.String type,
                                              java.lang.String name)
                                       throws java.rmi.RemoteException

  Retrieve the XML representation of a property set

  Parameters:
    `type` - the PropertySet type
    `name` - the name of the PropertySet to retrieve
  Returns:
    the XML representation of that PropertySet

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved